package com.inspect.metadata.robuavtask.mapper;

import com.inspect.metadata.robuavtask.domain.BasedataPatrolRobUavTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataPatrolRobUavTaskMapper {
    BasedataPatrolRobUavTask selectBasedataPatrolRobUavTaskByPatrolRobUavTaskId(Long taskId);

    List<BasedataPatrolRobUavTask> selectBasedataPatrolRobUavTaskList(BasedataPatrolRobUavTask task);

    int insertBasedataPatrolRobUavTask(BasedataPatrolRobUavTask task);

    int updateBasedataPatrolRobUavTask(BasedataPatrolRobUavTask task);

    int deleteBasedataPatrolRobUavTaskByPatrolRobUavTaskId(Long taskId);

    int deleteBasedataPatrolRobUavTaskByPatrolRobUavTaskIds(Long[] taskIds);
}
